# TODO: - linguist in bindir

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3
%if %mdkversion >= 910
%define libname	%mklibname qt 3
%else
%define libname libqt3
%endif

%define useqtcopy 0

%if %useqtcopy
%define nameqt	qt-copy
%else
%define nameqt	qt-x11-free
%endif

%define libqassistantname %mklibname qassistantclient 1
%define libdesignercore %mklibname designercore 1
%define libeditor %mklibname editor 1

# Olivier Thauvin, switch
%define buildSQL 1
%{?_without_SQL: %{expand: %%global buildSQL 0}}

 
%define immodule 1
%{?_with_immodule: %{expand: %%global immodule 1}}

%define plugindir      %{qtdir}/plugins
%if %mdkversion >= 1000
%define libdirname %{_lib}
%define plugindir  %{qtdir}/plugins/%{_lib}
%endif


Name: qt3
Version:	3.3.4
Release: 23.2.20060mdk
License:	GPL and QPL
Summary: Qt3 - Sources
Group: System/Libraries
URL: http://www.troll.no/
Packager: Mandrake Linux KDE Team <kde@mandriva.com>

# David - 3.0.0-0.11mdk - This Qt's version comes from KDE's CVS
Source: 	%nameqt-%version.tar.bz2
# David - 3.0.0-0.11mdk - Set QTDIR
Source1:	qt3-set-QTDIR-environment-csh
Source2:	qt3-set-QTDIR-environment-sh
# David - 3.0.0-0.11mdk - These two files allow users to launch designer and
#                         linguist from orginals KDE and Gnome menus.
#                         They come from debian/ directory in qt-copy (from
#                         KDE's CVS)
Source3:	qt3-designer.desktop
Source4:	qt3-linguist.desktop
# David - 3.0.0-0.11mdk - Properly set designer environment
Source5:	qt3-designer-sh
# David - 3.0.0-0.11mdk - Properly set assistant environment
Source6:	qt3-assistant-sh
# David - 3.0.0-0.11mdk - Properly set uic environment
Source7:	qt3-uic-sh
# David - 3.0.0-0.11mdk - Explain some things to users
Source8:	qt3-README-Mandrake-Linux
# David - 3.0.0-0.11mdk - Set QT_XFT
Source9:	qt3-set-QT_XFT-environment-csh
Source10:	qt3-set-QT_XFT-environment-sh
Source11:	qt3-3.3.3-default-config-qtrc

# Laurent 3.0.2 fix compile
Patch1:		qt-3.0.2-fix-compile.patch	
# Laurent - 3.0.5-3mdk add pablo fix 
Patch6:		qt-3.0.5-fix-lv.patch
# Laurent - 3.0.5-6mdk - pablo patch fix euro.
Patch7:		qt-3.0.5-fix-euro.patch
# Laurent - 3.1-7mdk - fix compile with xft2
Patch8:		qt-3.1.1-fix-xft2-compile.patch
# Laurent -3.1-10mdk fix bidi code patch from lars knoll
Patch10:	qt-3.1-fix-bidi-bug.patch
# Laurent - 3.1.1-3mdk add redhat patch to see xft font
Patch11:	qt-x11-free-3.1.0-fontdatabase.patch
Patch12:	qt-x11-free-3.1.1-monospace.patch
# Laurent - 3.1.1-8mdk - fix dnd flicking when starting a drag
# Remove it after, patch from qt-copy
Patch13:	qt-3.1.1-fix-dnd-flicking.patch
# Laurent - 3.1.1-11mdk - fix iconview bugs
Patch14:	qt-3.1.1-fix-qiconview-takeitem-bug.patch
# Laurent - 3.1.1-12mdk - fix xim problem patch from http://www.kde.gr.jp/patch/
Patch15:	qt-x11-free-3.1.1-fix-callPosition-XFilterEvent.diff
Patch17:	qt-3.1.2-fix-undo-redo-signal-in-qmultilineedit.patch
Patch41:	qt3-qtabwidget-less_flicker.patch
Patch42:	qt-3.2.3-use-rtl-extension-by-default.patch
Patch43:	qt-3.2.3-fix-dnd-between-mozilla-and-kde-apps.patch
Patch45:	qt-3.2.3-fix-cupslib.patch
Patch46:	0047-fix-kmenu-width.diff
Patch47:	0001-dnd_optimization.patch
Patch48:	0002-dnd_active_window_fix.patch
Patch51:	0015-qiconview-finditem.patch
Patch52:	0016-qiconview-rebuildcontainer.patch
Patch53:	0017-qiconview-ctrl_rubber.patch
Patch54:	0020-designer-deletetabs.patch
Patch55:	0021-qiconview-dragalittle.patch
Patch58:	0032-fix_rotated_randr.diff
Patch59:	0035-qvaluelist-streaming-operator.patch
Patch60:	0036-qprogressbar-optimization.patch
Patch61:	0037-dnd-timestamp-fix.patch
Patch62:	0038-dragobject-dont-prefer-unknown.patch
Patch63:	0041-fix-bitmap-fonts.diff
Patch65:	0044-qscrollview-windowactivate-fix.diff
Patch67:	0046-qiconview-no-useless-scrollbar.diff
Patch80:	qt-3.3.2-active-aa-by-default.patch
Patch81:	qt-3.3.4-fix-font-sans.patch
Patch82:	0048-qclipboard_hack_80072.patch
Patch83:	qt-3.3.2-fix-configure.patch
Patch84:	0049-qiconview-rubber_on_move.diff
Patch87:	qt3-fix-unicode-font-cache.patch
Patch89:	qt-x11-free-3.3.3-fix-load-gl.patch
Patch91:	qt-3.2.3-lib64-plugins.patch	
Patch92:	qt-3.3.3-fix-load-xmu.patch
Patch93:	qt-3.3.3-fix-accessible.patch
Patch96:	0051-qtoolbar_77047.patch
# Add patch from Utuhiro qt-immodule (http://immodule-qt.freedesktop.org/)
Patch100:	qt-x11-immodule-unified-qt3.3.4-20041203.diff
Patch101:	workaround-for-xlib-xim-bug.diff
Patch102:	fix-x11-immodule.diff
Patch103:	0005-qpixmap_mitshm.patch
Patch104:	0055-qtextedit_zoom.patch
Patch107:	0059-qpopup_has_mouse.patch
Patch108:	0060-qpopup_ignore_mousepos.patch
Patch109:	0056-khotkeys_input_84434.patch
Patch110:	0061-qscrollview-propagate-horizontal-wheelevent.patch
Patch111:	qt-x11-free-3.3.4-lib64.patch
Patch112:	qt-x11-free-3.3.4-linux32.patch
Patch113:	qt-3.3.4-fix-gcc-4.0-misscompile.patch
Patch114:	qt-3.3.4-fix-kde-bug-106974.patch

Patch115:	qt-visibility.patch

Patch116:	0064-fix_gcc4.patch

Patch117:	qt-3.3.4-update-qimmodule.patch.bz2

Patch118:	qt-x11-free-3.3.5-makelibshared.patch

Patch119:	qt-x11-free-3.3.5-space-press-button.patch
Patch120:	qt3-3.3.4-CVE-2006-4811.patch

Buildroot: 	%_tmppath/%name-%version-%release-root

%if %buildSQL
BuildRequires: MySQL-devel 
BuildRequires: unixODBC-devel 
BuildRequires: postgresql-devel
%endif
BuildRequires: freetype2-devel
BuildRequires: libMesaGLU-devel 
BuildRequires: bzip2-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: XFree86-devel
BuildRequires: zlib1-devel 
BuildRequires: Xft-devel 
BuildRequires: nas-devel
%ifarch x86_64
BuildRequires:  linux32
%endif

%description
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free software (X Window System
    only).

#--------------------------------------------------------------------

%package -n %libname
Summary: Qt3 - Shared libraries
Group: System/Libraries
Requires: %{name}-common = %version-%release

%description -n %libname
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free software (X Window System
    only).

This package contains shared libraries. 

%post -n %libname
grep -q "^%qtdir/%_lib$" /etc/ld.so.conf || echo "%qtdir/%_lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -n %libname
if [ "$1" = "0" ]; then
   rm -f /etc/ld.so.conf.new
   grep -v -e "%qtdir/%_lib" /etc/ld.so.conf > /etc/ld.so.conf.new
   mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
#
#
#
%dir %qtdir/
%dir %qtdir/%_lib/
%qtdir/%_lib/libqt-mt.so.3
%qtdir/%_lib/libqt-mt.so.3.3
%qtdir/%_lib/libqt-mt.so.%version
%qtdir/%_lib/libqt-mt.la
%qtdir/%_lib/libqui.so.1
%qtdir/%_lib/libqui.so.1.0
%qtdir/%_lib/libqui.so.1.0.0
%qtdir/%_lib/*.prl

%dir %{plugindir}/styles/
%{plugindir}/styles/*style.so

%if %immodule
%dir %{plugindir}/inputmethods/
%{plugindir}/inputmethods/*.so
%endif

#--------------------------------------------------------------------

%package -n %libname-devel
Summary: Qt3 - Files needed to build Qt3 based applications
Group: Development/KDE and Qt
Requires: %libname = %version-%release
Requires: XFree86-devel
Provides: libqt-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: libqt3-pch-headers < 3.3.5

# David - 3.0.0-0.11-mdk - Rpmlint want a 'Provides: libqt-devel' here. We don't
#                          provide it because there is a high risk to confuse
#                          some old packages

%description -n %libname-devel
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free software (X Window System
    only).

This package contains:
  - files needed to build Qt based applications
  - designer, assistant and linguist applications

%post -n %libname-devel
/sbin/ldconfig
%update_menus

%postun -n %libname-devel
/sbin/ldconfig
%clean_menus

%files -n %libname-devel
%defattr(-,root,root,-)
%doc %_mandir/man1/*
%doc %_mandir/man3/*
%_bindir/assistant
%_bindir/designer-qt3
%_bindir/qmake
%qtdir/%_lib/libqui.so
%qtdir/%_lib/libqt-mt.so
%qtdir/%_lib/libdesignercore.so
%qtdir/%_lib/libeditor.so
%qtdir/%_lib/libqassistantclient.so
		 
%_menudir/*
%dir %qtdir/%_lib/pkgconfig/
%qtdir/%_lib/pkgconfig/*.pc
%dir %_libdir/pkgconfig/
%_libdir/pkgconfig/qt-mt.pc
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/*.desktop
%dir %_datadir/gnome/
%dir %_datadir/gnome/apps/
%dir %_datadir/gnome/apps/Development/
%_datadir/gnome/apps/Development/*.desktop
%dir %qtdir/
%dir %qtdir/bin
%qtdir/bin/assistant  
%qtdir/bin/designer-real  
%qtdir/bin/lrelease  
%qtdir/bin/moc    
%qtdir/bin/qmake
%multiarch %qtdir/bin/%multiarch_platform/qmake
%qtdir/bin/uic
%qtdir/bin/designer   
%qtdir/bin/linguist       
%qtdir/bin/lupdate   
%qtdir/bin/qm2ts  
%multiarch %dir %qtdir/include/%multiarch_platform
%multiarch %qtdir/include/%multiarch_platform/*.h
%dir %qtdir/include/
%qtdir/include/*.h
%dir %qtdir/include/private/
%qtdir/include/private/*.h
%dir %qtdir/templates/
%qtdir/templates/*.ui
%dir %{plugindir}/designer
%{plugindir}/designer/*
%dir %qtdir/mkspecs/
%qtdir/mkspecs/*
%dir %qtdir/src/
%qtdir/src/*

#--------------------------------------------------------------------

%package -n %libname-static-devel
Summary: Qt3 - Static files needed to build Qt3 based applications
Group: Development/KDE and Qt
Requires: %libname-devel = %version-%release
Provides: libqt-static-devel = %{version}-%{release}
Provides: %{name}-static-devel = %{version}-%{release}

%description -n %libname-static-devel
This package contains:
  - files needed to build static Qt based applications

%files -n %libname-static-devel
%defattr(-,root,root,-)
%qtdir/%_lib/*.a

#--------------------------------------------------------------------

%package common
Summary:	config, language file for Qt
Group:      Development/KDE and Qt
Requires:   %libname = %version
Obsoletes:	libqt3-common
Provides:	libqt3-common = %{version}-%{release}
# Laurent : allow to install package which use this provides (commercial packages which want to install under distro and used this provides
Provides:	qt = %{version}-%{release}

%description common
This package contains all config file and language file

%files common
%defattr(-,root,root,-)
%dir %{plugindir}
%if %buildSQL
%dir %{plugindir}/sqldrivers
%endif
%dir %qtdir/phrasebooks/
%qtdir/phrasebooks/*.qph
%dir %qtdir/
%dir %qtdir/bin
%qtdir/bin/qtconfig
%_bindir/qtconfig
%_sysconfdir/profile.d/*.csh
%_sysconfdir/profile.d/*.sh
%config(noreplace) %_sysconfdir/qtrc
%dir %qtdir/translations/
%qtdir/translations/*.qm

#--------------------------------------------------------------------

%if %buildSQL
%package -n %libname-mysql
Summary: 	MySQL plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libname = %version-%release
Provides:	%{name}-MySQL = %{version}-%{release}

%description -n %libname-mysql
This package contain the MySQL plugin for Qt.

%files -n %libname-mysql
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlmysql.so


%package -n %libname-psql
Summary: 	PostgresSQL plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libname = %version-%release
Provides:	%{name}-PostgreSQL = %{version}-%{release}

%description -n %libname-psql
This package contain the PostgresSQL plugin for Qt.

%files -n %libname-psql
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlpsql.so


%package -n %libname-odbc
Summary: 	ODBC plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libname = %version-%release
Provides:	%{name}-ODBC = %{version}-%{release}

%description -n %libname-odbc
This package contain the ODBC plugin for Qt.

%files -n %libname-odbc
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlodbc.so


%package -n %libname-sqlite
Summary: 	Sqlite plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libname = %version-%release
Provides:	%{name}-Sqlite = %{version}-%{release}

%description -n %libname-sqlite
This package contain the Sqlite plugin for Qt.

%files -n %libname-sqlite
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlite.so

%endif

#--------------------------------------------------------------------

%package example
Summary:    Qt examples.
Group:      Development/KDE and Qt
Requires:   %libname = %version-%release
Obsoletes:  libqt3-example
Provides:   libqt3-example

%description example
This package contain Qt example.

%files example
%defattr(-,root,root)
%doc %_docdir/qt-%version/*.bz2

#--------------------------------------------------------------------

%package doc
Summary: Qt documentation
Group: Development/KDE and Qt
Conflicts:libqt3-devel <= 3.3.4-13mdk

%description doc
This package contain Qt documentation

%files doc
%dir %_docdir/qt-%version/
%doc %_docdir/qt-%version/FAQ
%doc %_docdir/qt-%version/LICENSE*
%doc %_docdir/qt-%version/README*
%dir %_docdir/qt-%version/doc/
%dir %_docdir/qt-%version/doc/html/
%doc %_docdir/qt-%version/doc/html/*
%dir %qtdir/doc/
%qtdir/doc/html

#--------------------------------------------------------------------

#--------------------------------------------------------------------

%package -n %libqassistantname
Summary: Qt3 - Shared libraries
Group: System/Libraries

%description -n %libqassistantname
Qt3 - Shared libraries

%post -n %libqassistantname -p /sbin/ldconfig
%postun -n %libqassistantname -p /sbin/ldconfig

%files -n %libqassistantname
%defattr(-,root,root)
%qtdir/%_lib/libqassistantclient.so.*

#--------------------------------------------------------------------

%package -n %libdesignercore
Summary: Qt3 - Shared libraries
Group: System/Libraries

%description -n %libdesignercore
Qt3 - Shared libraries

%post -n %libdesignercore -p /sbin/ldconfig
%postun -n %libdesignercore -p /sbin/ldconfig

%files -n %libdesignercore
%defattr(-,root,root)
%qtdir/%_lib/libdesignercore.so.*

#--------------------------------------------------------------------

%package -n %libeditor
Summary: Qt3 - Shared libraries
Group: System/Libraries

%description -n %libeditor
Qt3 - Shared libraries

%post -n %libeditor -p /sbin/ldconfig
%postun -n %libeditor -p /sbin/ldconfig

%files -n %libeditor
%defattr(-,root,root)
%qtdir/%_lib/libeditor.so.*

%prep
%setup -q -n %nameqt-%version
%patch8 -p1 -b .fix_xft_compile
%patch45 -p1 -b .fix_cups_lib
%patch46 -p0 -b .fix_kmenu_width
%patch47 -p0 -b .fix_dnd_optimisation
%patch48 -p0 -b .fix_active_windows
%patch51 -p0 -b .fix_qiconview_find_item
%patch52 -p0 -b .fix_qiconview_rebuildcontainer
%patch53 -p0 -b .fix_qiconview_rubber
%patch54 -p0 -b .fix_delete_page_into_designer
%patch58 -p0 -b .fix_randr_rotate
%patch59 -p0 -b .fix_qvaluelist
%patch60 -p0 -b .fix_qprogressbar_optimisation
%patch61 -p0 -b .fix_dnd_timestamp
%patch62 -p0 -b .fix_dnd_dont_prefer_unknown
%patch65 -p0 -b .fix_qscrollview_windowreactivate
%patch67 -p0 -b .fix_qiconview_no_useless_scrollbar
%patch80 -p1 -b .use_aa_by_default
%patch81 -p1 -b .fix_use_sans_font
%patch82 -p1 -b .fix_qclipboard_hack_80072
%patch83 -p1 -b .fix_configure_space
%patch84 -p0 -b .fix_qiconview_rubber_on_move
%patch87 -p1 -b .fix_unicode_font_cache
%patch89 -p1 -b .fix_opengl
%if "%{plugindir}" != "%{qtdir}/plugins"
%patch91 -p1 -b .fix_lib64
%endif
%patch92 -p1 -b .fix_load_xmu
%patch93 -p1 -b .fix_accessible
%patch96 -p0 -b .fix_toolbar
%if %immodule
%patch100 -p1 -b .add_support_for_qt_immodule
%endif
%patch104 -p0 -b .fix_qtextedit_zoom_in_zoom_out
%patch107 -p0 -b .fix_kde_bug_58719
%patch108 -p0 -b .fix_kde_bug_74778
%patch109 -p0 -b .fix_kde_bug_84434
%patch110 -p0 -b .fix_propagate_wheel_event
%patch111 -p1 -b .lib64
%patch112 -p1 -b .linux32
%patch113 -p1 -b .fix_misscompile_with_gcc4.0
%patch114 -p1 -b .fix_kde_bug_106974
%patch115 -p1 -b .fix_qt_export
%patch116 -p0 -b .fix_compile_all_gcc_4

%patch117 -p1 -b .update_qtimm

%patch118 -p1 -b .assistant_as_shared

%patch119 -p1 -b .fix_space_enter
%patch120 -p0 -b .cve-2006-4811

%build
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

%if %immodule
sh ./make-symlinks.sh
%endif

%if %useqtcopy
make -f Makefile.cvs
%endif

# David - 3.0.0-0.11mdk - Use optimizations.
perl -pi -e "s|^QMAKE_CFLAGS_RELEASE	= -O2|QMAKE_CFLAGS_RELEASE	= %optflags|" mkspecs/linux-g++/qmake.conf

# David - 3.0.0-0.11mdk - Remove rpath.
perl -pi -e "s|^QMAKE_RPATH		= -Wl,-rpath,|QMAKE_RPATH		= |" mkspecs/linux-g++/qmake.conf

# Gwenole - 3.0.5-2mdk - lib64 fixes
rm -rf mkspecs/linux-g++-64
cp -a  mkspecs/linux-g++ mkspecs/linux-g++-64
perl -pi -e "s@^(QMAKE_LIBDIR_(X11|QT|OPENGL)\s+=\s+.*)/lib@\1/lib64@" mkspecs/linux-g++-64/qmake.conf

# Fix 32-bit counter parts
%ifarch x86_64
OPT_FLAGS_32="`linux32 rpm --eval %%optflags`"
%endif
if [[ -n "$OPT_FLAGS_32" ]]; then
  perl -pi -e "s|^QMAKE_CFLAGS_RELEASE	= -O2|QMAKE_CFLAGS_RELEASE	= $OPT_FLAGS_32|" mkspecs/linux-g++/qmake.conf
fi

# Default platform (take care to lib64 arches)
%if "%_lib" != "lib"
PLATFORM=linux-g++-64
%else
PLATFORM=linux-g++
%endif

function main_configure {
echo "yes" | ./configure \
	%{?libdirname: -libname %{libdirname}} \
	-I/usr/include/pgsql/ \
	-I/usr/include/pgsql/server/ \
	-I/usr/include/fontconfig \
	-I/usr/include/Xft2 \
	-I/usr/include/Xft2/X11/Xft \
	-I/usr/include/mysql/ \
	-prefix %qtdir/ \
	-libdir %qtdir/%_lib \
	-sysconfdir %_sysconfdir \
	-docdir %_docdir/qt-%version/doc/ \
	-release \
	-qt-gif \
	-system-zlib \
	-system-nas-sound \
	-no-exceptions \
	-platform $PLATFORM \
	-enable-tools \
	-enable-kernel \
	-enable-widgets \
	-enable-dialogs \
	-enable-iconview \
	-enable-workspace \
	-enable-network \
	-enable-canvas \
	-enable-table \
	-enable-xml \
	-enable-input \
	-enable-opengl \
	-dlopen-opengl \
	%if %buildSQL		
		-enable-sql \
		-plugin-sql-mysql \
		-plugin-sql-odbc \
		-plugin-sql-psql \
		-plugin-sql-sqlite \
	%endif
	-plugin-style-cde \
	-plugin-style-compact \
	-plugin-style-motif \
	-plugin-style-sgi \
	-plugin-style-platinum \
	-plugin-style-motifplus \
	-thread \
	-stl \
	-qt-imgfmt-png \
	-qt-imgfmt-jpeg \
	-qt-imgfmt-mng  \
	-system-libpng \
	-system-libjpeg \
	-system-libmng \
	-sm \
	-xinerama \
	-xrender \
	-xrandr \
	-xcursor \
	-xft \
	-nis \
	-no-tablet \
	-v \
	-xkb \
	$*
}

# Build static 
main_configure -static 
pushd src
	%make && make INSTALL_ROOT=%{buildroot} install_target
popd
mkdir safelib
mv lib/libqt-mt.a safelib

# Build shared
main_configure -shared 
%make 


%install
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
rm -fr %buildroot

# David - 3.0.0-0.11mdk - Work around for a broken make install
install -d -m 0755 %buildroot/%qtdir/


make install INSTALL_ROOT=%buildroot/

# Handle multlib plugins dir
if [[ "%{plugindir}" != "%{qtdir}/plugins" ]]; then
  mkdir -p T
  mv $RPM_BUILD_ROOT%{qtdir}/plugins/* T/
  mkdir -p $RPM_BUILD_ROOT%{plugindir}/
  mv T/* $RPM_BUILD_ROOT%{plugindir}/
  rmdir T
fi


# David - 3.0.0-0.11mdk - Add SQL plugins (broken make install...)
install -d -m 0755 %buildroot/%{plugindir}/sqldrivers/


# David - 3.0.0-0.11mdk - Fix some bad symlinks
cd %buildroot/%qtdir/%_lib/
ln -sf libqt-mt.so.%version  libqt-mt.so
ln -sf libqt-mt.so.%version  libqt-mt.so.3.3
ln -sf libqui.so.1.0.0    libqui.so
ln -sf libqui.so.1.0.0    libqui.so.1.0
cd -

mkdir -p %buildroot/%_libdir/pkgconfig/
cd %buildroot/%_libdir/pkgconfig/
ln -sf ../../../%qtdir/%_lib/pkgconfig/qt-mt.pc qt-mt.pc
cd -



# David - 3.0.0-0.11mdk - Install missing documentation
install -d -m 0755 %buildroot/%_docdir/qt-%version/
#install -m 0644 $RPM_BUILD_DIR/qt-x11-free-%version/ANNOUNCE  %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/%nameqt-%version/FAQ       %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/%nameqt-%version/LICENSE*  %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/%nameqt-%version/README    %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/%nameqt-%version/README-QT.TXT %buildroot/%_docdir/qt-%version/
#install -m 0644 $RPM_BUILD_DIR/qt-%version/changes*  %buildroot/%_docdir/qt-%version/

rm -rf %buildroot/%qtdir/bin/qmake
install -m 0755  $RPM_BUILD_DIR/%nameqt-%version/qmake/qmake %buildroot/%qtdir/bin/

# David - 3.0.0-0.11mdk - Install a README for Mandrake Linux
install -m 0644 %SOURCE8 %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|QtVersion|%version|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|QtVersion|%version|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|PackageVersion|%version-%release|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|PackageVersion|%version-%release|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux


# David - 3.0.0-0.11mdk - Install man pages
install -d -m 0755 %buildroot/%_mandir/man1/
for i in $RPM_BUILD_DIR/%nameqt-%version/doc/man/man1/* ; do
		if [ ! -d $i ] ; then
		   install -m 0644 $i %buildroot/%_mandir/man1/
		fi
done
#
install -d -m 0755 %buildroot/%_mandir/man3/
for i in $RPM_BUILD_DIR/%nameqt-%version/doc/man/man3/* ; do
	    if [ ! -d $i ] ; then
   			install -m 0644 $i %buildroot/%_mandir/man3/
	    fi
done


install -d -m 0755 %buildroot/%_bindir/
install -m 0755 $RPM_BUILD_DIR/%nameqt-%version/bin/moc %buildroot/%qtdir/bin/moc

# David - 3.0.1-2mdk - Install .pri files needed to build examples and tutorials
install -d -m 0755 %buildroot/%qtdir/src/
for i in $RPM_BUILD_DIR/%nameqt-%version/src/*.pri; do
   install -m 0644 $i %buildroot/%qtdir/src/
done


## David - 3.0.0-0.11mdk - Examples and tutorial
# David - 3.0.0-0.11mdk - Provide a qmake.cache for examples
cp -ar $RPM_BUILD_DIR/%nameqt-%version/examples/ %buildroot/%_docdir/qt-%version
cp -p $RPM_BUILD_DIR/%nameqt-%version/.qmake.cache %buildroot/%_docdir/qt-%version/examples/
perl -pi -e "s|^QT_SOURCE_TREE.*|QT_SOURCE_TREE = %qtdir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_BUILD_TREE.*|QT_BUILD_TREE = %qtdir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_PREFIX=.*|QT_PREFIX=%qtdir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^docs.path=.*|docs.path=%_docdir/qt-%version/doc/html|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^headers.path=.*|headers.path=%_includedir/qt3|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_INSTALL_LIBPATH=.*|QT_INSTALL_LIBPATH=%_libdir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_INSTALL_BINPATH=.*|QT_INSTALL_BINPATH=%_bindir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QMAKE_MOC.*|QMAKE_MOC = %qtdir/bin/moc |" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
# Thanks tv
perl -pi -e "s|^QMAKE_UIC\s*=\s*\S+|QMAKE_UIC = %qtdir/bin/uic |" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QMAKE_QMAKE.*|QMAKE_QMAKE = %qtdir/bin/qmake |" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QMAKE_MOC_SRC.*|QMAKE_MOC_SRC = %qtdir/src/moc |" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QMAKE_INCDIR_QT.*|QMAKE_INCDIR_QT = %qtdir/include |" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QMAKE_LIBDIR_QT.*|QMAKE_LIBDIR_QT = %qtdir/lib |" %buildroot/%_docdir/qt-%version/examples/.qmake.cache

# David - 3.0.0-0.11mdk - Provide a qmake.cache for tutorial
cp -ar $RPM_BUILD_DIR/%nameqt-%version/tutorial/ %buildroot/%_docdir/qt-%version
cp -p %buildroot/%_docdir/qt-%version/examples/.qmake.cache %buildroot/%_docdir/qt-%version/tutorial/.qmake.cache

# David - 3.0.0-0.11mdk - Set qmake.cache to right directory
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../.qmake.cache|.qmake.cache|"
#find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../.qmake.cache|../.qmake.cache|"

# David - 3.0.0-0.11mdk - Fix include directory for examples
find %buildroot/%_docdir/qt-%version/examples -name Makefile | xargs perl -pi -e "s|../../../include|%qtdir/include|"

# David - 3.0.0-0.11mdk - Fix include directory for examples
find %buildroot/%_docdir/qt-%version/examples -name Makefile | xargs perl -pi -e "s|../../include|%qtdir/include|"

# David - 3.0.1-2mdk - Fix lib directory for examples
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../../lib/libqt-mt.prl|%qtdir/%_lib/libqt-mt.prl|"
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../lib/libqt-mt.prl|%qtdir/%_lib/libqt-mt.prl|"
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../lib/libqt-mt.prl|%qtdir/%_lib/libqt-mt.prl|"

find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../src/qt_professional.pri|%qtdir/src/qt_professional.pri|"

# David - 3.0.0-0.11mdk - Set RPM_BUILD_DIR to QTDIR
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|$RPM_BUILD_DIR/qt-%version|%qtdir|"

find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|$RPM_BUILD_DIR/qt-x11-free-%version/mkspecs/|%qtdir/mkspecs/|"

find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|$RPM_BUILD_DIR/qt-x11-free-%version/|%qtdir/|"

find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../lib/libqassistantclient.prl|%qtdir/%_lib/libqassistantclient.prl|"



# David - 3.0.1-2mdk - Explain in examples README that QTDIR need to be set
#                      before try to build one of them
cd %buildroot/%_docdir/qt-%version/examples/
cat README > README.tmp
echo "Before try to build one of these examples, you need to:" > README
echo "" >> README
echo "export QTDIR=\"/usr/lib/qt3/\"" >> README
echo "" >> README
echo "" >> README
cat README.tmp >> README
rm -f README.tmp
cd -

# David - 3.0.1-2mdk - Fix PATH to tutorial.html in tutorials README
perl -pi -e "s|../doc/html/tutorial.html|%_docdir/qt-%version/doc/html/tutorial.html|" %buildroot/%_docdir/tutorial/README

# David - 3.0.1-2mdk - Explain in tutorials README that QTDIR need to be set
#                      before try to build one of them
cd %buildroot/%_docdir/qt-%version/tutorial/
cat README > README.tmp
echo "Before try to build one of these examples, you need to:" > README
echo "" >> README
echo "export QTDIR=\"/usr/lib/qt3/\"" >> README
echo "" >> README
echo "" >> README
cat README.tmp >> README
rm -f README.tmp
cd -

# David - 3.0.0-0.11mdk - Install examples. They are usefull only for people who
#                         want learn to use Qt. We assume they are rarely used
#                         So, we can compress them to save space.
cd %buildroot/%_docdir/qt-%version/
tar jcf %buildroot/%_docdir/qt-%version/examples.tar.bz2 examples/
rm -fr examples/
cd -

# David - 3.0.0-0.11mdk - Install tutorial. It is usefull only for people who
#                         want learn to use Qt. We assume it is rarely used.
#                         So, we can compress it to save space.
cd %buildroot/%_docdir/qt-%version/
tar jcf %buildroot/%_docdir/qt-%version/tutorial.tar.bz2 tutorial/
rm -fr tutorial/
cd -

cd %buildroot/usr/bin
ln -s ../../%qtdir/bin/qtconfig qtconfig
cat > qmake << EOF
#!/bin/sh
exec %qtdir/bin/qmake \${1+"\$@"}
EOF
chmod +x qmake
cd -



# David - 3.0.0-0.11mdk - Create a fake QTDIR (because Qt doesn't care of FHS
#                         and want all its directories in its own directory...)
cd %buildroot/%qtdir/
install -d -m 0755 doc
ln -s ../../../share/doc/qt-%version/doc/html/ doc/html
cd -


# David - 3.0.0-0.11mdk - Install needed files to automatically set QTDIR
#                         (because Qt doesn't care of FHS and want all its
#                         directories in its own directory...)
install -d -m 0755 %buildroot/%_sysconfdir/profile.d/
install -m 0755 %SOURCE1 %buildroot/%_sysconfdir/profile.d/qtdir3.csh
install -m 0755 %SOURCE2 %buildroot/%_sysconfdir/profile.d/qtdir3.sh

install -d -m 0755 %buildroot/%_sysconfdir/
install -m 0755 %SOURCE11 %buildroot/%_sysconfdir/qtrc

# David - 3.0.0-0.11mdk - Be sure designer is launched using the right environment
mv %buildroot/%qtdir/bin/designer %buildroot/%qtdir/bin/designer-real
install -m 0755 %SOURCE5 %buildroot/%qtdir/bin/designer

# David - 3.0.1-2mdk - To allow designer to be lauched from PATH
install -d -m 0755 %buildroot/%_bindir/
cd %buildroot/%_bindir/
ln -s ../lib/qt3/bin/designer designer-qt3
cd -


# David - 3.0.0-0.11mdk - Be sure qmake is launched using the right environment
install -m 0755 %SOURCE6 %buildroot/%_bindir/assistant


# David - 3.0.1-6mdk - Be sure /usr/lib/qt3/mkspecs/default point on right
#                      directory
cd %buildroot/%qtdir/mkspecs/
rm -rf default
ln -sf linux-g++ default
%if "%_lib" != "lib"
ln -sf linux-g++-64 default64
%else
rm -rf linux-g++-64
%endif
cd -

# David - 3.0.0-0.11mdk - Install designer and linguist .desktop files for Gnome
install -d -m 0755 %buildroot/%_datadir/gnome/apps/Development/
install -m 0644 %SOURCE3 %buildroot/%_datadir/gnome/apps/Development/designer.desktop
install -m 0644 %SOURCE4 %buildroot/%_datadir/gnome/apps/Development/linguist.desktop


# David - 3.0.0-0.11mdk - Install designer and linguist .desktop files for KDE
install -d -m 0755 %buildroot/%_datadir/applnk/Development/
install -m 0644 %SOURCE3 %buildroot/%_datadir/applnk/Development/designer.desktop
install -m 0644 %SOURCE4 %buildroot/%_datadir/applnk/Development/linguist.desktop


## David - 3.0.0-0.11mdk - Install menu entries
install -d -m 0755 %buildroot/%_menudir/

# David - 3.0.0-0.11mdk - Install assistant menu entry
cat <<EOF > %buildroot/%_menudir/libqt3-devel-assistant
?package(libqt3-devel): needs=X11 \
                         section="More Applications/Documentation" \
			 title="Qt3 Assistant" \
			 longtitle="A manual browser for Qt3 documentation" \
			 command="%_bindir/assistant" \
			 icon="documentation_section.png"
EOF

# David - 3.0.0-0.11mdk - Install designer menu entry
cat <<EOF > %buildroot/%_menudir/libqt3-devel-designer
?package(libqt3-devel): needs=X11 \
                        section="More Applications/Development/Development Environments" \
			title="Qt3 Designer" \
			longtitle="A graphical designer/dialog builder for Qt3" \
			command="/usr/bin/designer-qt3" \
			mimetypes="application/x-designer" \
			icon="development_environment_section.png"
EOF

# David - 3.0.0-0.11mdk - Install linguist menu entry
cat <<EOF > %buildroot/%_menudir/libqt3-devel-linguist
?package(libqt3-devel): needs=X11 \
                        section="More Applications/Development/Development Environments" \
			title="Qt Linguist" \
			longtitle="A translation tool for Qt3" \
			command="%qtdir/bin/linguist" \
			mimeType="application/x-linguist" \
			icon="development_environment_section.png"
EOF

# Multiarch fixes
%multiarch_binaries %buildroot%qtdir/bin/qmake
%multiarch_includes %buildroot%qtdir/include/qconfig.h

# Static install
install -d -m 0755 %buildroot/%qtdir/%_lib/ 
install -m644 safelib/*  %{buildroot}/%{qtdir}/%_lib/ 

%clean
rm -fr %buildroot

%changelog
* Sat Oct 21 2006 Vincent Danen <vdanen@mandriva.com> 3.3.4-23.2.20060mdk
- P120: security fix for CVE-2006-4811

* Thu Jan 26 2006 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-23.1mdk
- Add support for share assistant
- Fix enter key

* Mon Sep 19 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-23mdk
- Fix kicker crash

* Thu Sep 08 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-22mdk
- Reactivate qtimmodule, because it "huge regression regarding userability" and it doesn't fix crash for a lot of guy.

* Wed Aug 31 2005 Helio Castro <helio@mandriva.com> 3.3.4-21mdk
- Fix install of static libs. Svn spec was not up to date

* Wed Aug 31 2005 Helio Castro <helio@mandriva.com> 3.3.4-20mdk
- Disable immodule patch. Systray applet events causes kicker crash on kde exit
- Obsolete pch subpackage, not used by any applications. Reduces 15 mb on package sizes.

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-19mdk
- Fix build on x86_64 (patch from gb)

* Sat Jul 30 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-18mdk
- Disable patch117

* Fri Jul 29 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-17mdk
- Fix compile with all gcc4

* Mon Jul 25 2005 Laurent Montel <lmontel@mandriva.com>
- Add fix qt3 export symbole

* Wed Jul 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-06 08:08:53 (307)
- Rebuild on x86_64 with new gcc

* Tue Jun 28 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-28 20:23:48 (251)
- Updated with upstream package to subversion
- Bunzipped all patches
- Created doc package ( reduce devel package size )
- Created static-devel package
- Clean up spec to new layout, allowing both static and shared compilation

* Tue Jun 28 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-28 20:15:53 (250)
- Uploading current spec

* Mon Jun 27 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-13mdk
- Enable sqlite

* Wed Jun 08 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-12mdk
- Add patch114: fix kde bug #106974

* Wed May 25 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-11mdk
- Add patch113: fix misscompile with gcc-4.0 (fix printing and co)

* Thu May 12 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-10mdk
- Add missing buildrequires on x86_64 : linux32

* Mon May 09 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-9mdk
- Try to activate immodule

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-8mdk
- Rebuild with new gcc-4.0.0

* Thu Apr 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-7mdk
- Fix qmake (patch from Gwenole)

* Mon Apr 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.4-6mdk
- Fix email
- multiarch & linux32 fixes

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-5mdk
- Rebuild

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-4mdk
-  Update patch100 and qt-immodule related things patch from UTUMI Hirosi <utuhiro78@yahoo.co.jp>

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-3mdk
- Remove perl -pi -e for man file (Fixed in this release)

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-2mdk
- Reapply some patch

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-1mdk
- 3.3.4

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-32mdk
- Add patch110 "correctly propagate orientation of wheel events to viewport/content of QScrollView"

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-31mdk
- Fix menu

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-30mdk
- Add patch109: fix kde bug #84434

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-29mdk
- Add patch105: fix 64bit fullscreen
- Add patch106: fix kde bug #88128 (fix focus)
- Add patch107: fix kde bug #58719 (fix qpopupmenu)
- Add patch108: fix kde bug #74778 (fix qpopupmenu)

* Thu Oct 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-28mdk
- Add patch105: fix QTextEdit::zoomIn/Out

* Thu Oct 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-27mdk
- Add qtrc default

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-26mdk
- Remove patch103: pb with image

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-25mdk
- Disable immodule, there is some bug reported on bugs.kde.org

* Fri Sep 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-24mdk
- Add patch103 fix mitshm image

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-23mdk
- Fix create %_libdir/pkgconfig/ patch from Doug Keller <doug@voidstar.us> thanks

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-22mdk
- Move qtconfig link into %_bindir

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-21mdk
- Fix load GL (patch from Gb)

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-20mdk
- Add patch97: fix qrichtext regression

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-19mdk
- Fix man page

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-18mdk
- Add patch96: fix qtoolbar fix kde bug #77047

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-17mdk
- Fix export QTDIR

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-16mdk
- Use qt-x11-immodule-bc-qt3.3.3.patch

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-15mdk
- Add patch101-102: fix qt-immute

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-14mdk
- Add patch92: fix load xmu
- Add patch93: fix accessible plugins
- Add patch94: fix xpm handling
- Add patch95: fix gif handler

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-13mdk
- Fix "qt3-set-QTDIR-environment-csh" too patch from "Nick Brown <nickbrown@mandrake.org>"

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-12mdk
- Adapt patch from Gb to define position of plugins dir 
		"handle multilib plugins dir"

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-11mdk
- Fix qtdir.sh fix from Nick Brown <nickbrown@mandrake.org>

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-10mdk
- Add patch90: fix qtconfig apply patch from "Amrein-Marie Christophe"

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-9mdk
- Fix menu

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-8mdk
- Remove unused patch

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-7mdk
- Create link to qt-mt.pc to /usr/lib/pkgconfig

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-6mdk
- Fix opengl

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-5mdk
- Disable patch88, but to load OpenGL extension we must install Mesa-devel...

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-4mdk
- Update qt-immute patch but not activated by default because java doesn't 
	work with this patch

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-3mdk
- Fix qmake mdk bug #10746

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-2mdk
- Minor clean spec

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-1mdk
- 3.3.3

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-28mdk
- Tiny spec file fix, patch from "Stefan van der Eijk" <stefan@eijk.nu> thanks.

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-27mdk
- Add conditional build to build qt-immodule (patch from titi)

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-26mdk
- Fix spec file

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-25mdk
- Add patch87: fix load opengl don't use libGL.so but libGL.so.1

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-24mdk
- Fix provides for qt3-pch-headers
- Add debug version

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-23mdk
- Try pch

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Remove patch100 it breaks applet java into konqueror (I don't know why for the moment)

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Fix mimetype

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Fix example compile

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Fix again

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix .qmake.cache bug reported by Leon Widdershoven <leon.widdershoven@imasgroep.nl>

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Add patch from UTUMI Hirosi <utuhiro78@yahoo.co.jp> support for qt-immodule
- Add patch86: fix image cache
- Add patch87: fix unicode font cache

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch84: fix qiconview repaint

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Add patch83: fix space into qconfig.h (Austin Acton <aacton@yorku.ca> asked me that it will fix some problem into compile package)

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Add patch82: fix kde bug 80072 "konqueror freezes for some seconds when selecting text in text field with mouse"

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix patch81

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Fix to found Sans font

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Fix configure
- Add patch81: try to fix accent in french language

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Fix patch47

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Reapply patch to active aa by default

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch46: fix kmenu width
- Add some patch from qt-copy (patch to test)

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Try to reactivate patch37

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Reactive some patch/remove some ununsed patch

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Disable compile to support qt3.3.2

* Wed Apr 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Apr 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-20mdk
- Add patch45: fix qprinter + cups (workaround)

* Mon Apr 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-19mdk
- Add patch44: fix kuickshow fullscreen pb

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-18mdk
- Use mdkversion

* Mon Mar 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-17mdk
- qmake can be use by kdevelop

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-16mdk
- Add patch43: fix dnd between mozilla and kde application

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-15mdk
- fix link

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- create link for qtconfig to /usr/bin
- Add patch42: use rtl extension by default

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Fix sync into cooker

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Rebuild

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Remove windows plugins

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add patch41: less flicker into tabwidget

* Thu Jan 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch38: fix clipboard recursion crash
- Add patch39: fix dnd mem leak
- Add patch40: fix mouse policy (fix for kwin3)

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Add patch37: readd alias font for monospace/Sans/

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Rebuild with new kdelibs

* Thu Dec 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Add patch37: fix qscrollview in bidi mode

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- add patch36: fix url wrap in ktextview

* Thu Nov 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch35 : fix crash into qcanvas

* Fri Nov 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- USe official qt-3.2-3 release

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- Use qt-copy, sync with qt-3.2.3 snapshot

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Fix compile

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Add patch33: don't wrap url into textview

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Fix conflict with cooker

* Fri Oct 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Fix soname

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-7mdk
- Fix crash

* Fri Oct 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-6mdk
- Fix some configure parameter

* Mon Sep 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-5mdk
- Add patch32 : fix qiconviewitem make a little drag
- Fix xft
- Add debug
- Fix crash in kdesktop
- qt-3.2.1

* Fri Sep 26 2003 Pablo Saratxaga <pablo@@mandrakesoft.com> 3.1.2-15mdk
- changed default XIM mode to "Over the Spot"; it is a much safer default

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-14mdk
- Fix print document with TTF with space into font name

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-13mdk
- Rebuild with kde widget support

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-12mdk
- Further fixes to BuildRequires (Gwenole Beauchesne)
- Provides: qt3-{MySQL,ODBC,PostgreSQL} (Gwenole Beauchesne)
- Package qt3-{common,examples} (Gwenole Beauchesne)

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Fix requires for 9.2

* Tue Jul 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Rebuild
- Fix depend

* Wed Jul 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Add nas support

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Split package move  example.tar.bz2 to qt-example

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Add patch20: fix qlistview "drop and drag multiple files in detailed text mode view when using the konqueror file manager." patch found in kde-devel by Texstar <texstar@houston.rr.com> approved by TT.
- Add patch from Olivier Thauvin, add switch --without SQL

* Mon Jun 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Patch qt to support -sysconfigdir parameter

* Mon Jun 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Remove Source9-Source10 (bug reported by David Faure) not used by qt

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuidl

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Fix requires

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch17: fix undo/redo in qtextedit => fix undo/redo in knode editor

* Tue Mar 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-13mdk
- Add patch13: AA by default

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-12mdk
- Add patch12: fix xim problem

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-11mdk
- Add patch11 : fix iconview bug when we use takeitem function

* Sun Feb 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-10mdk
- Move qtconfig to libqt3-common

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-9mdk
- Rebuild

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-8mdk
- Add patch13 : Reduces flicker when starting a drag.

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Fix compile under MDK9.0/8.2
- Fix group bug reported by Titi

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Fix : remove link to libeditor.so

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- change libqt3-datafiles -> libqt3-common

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Use %mklibname make happy gb
- Spit again qt to make happy gb

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Add patch11-12 from redhat

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Rebuild.

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- qt 3.1.1

* Tue Nov 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-7mdk
- Add patch 10 patch from Lars Knoll bug reported by Diego Iastrubni <iastrubn@actcom.co.il>

* Tue Nov 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-6mdk
- Apply patch from Guillaume Rousse <g.rousse@linux-mandrake.com>
	- libqt3-mysql, libqt3-psql and libqt3-odbc subpackage to reduce dependencies
	- more macros
	- using both a PreReq and Requires for the same package is redundant
	- removed redundant libs packages in buildrequires
	- buildrequires libXft2-devel ( just for MDK9.1 )

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-5mdk
- Fix doc

* Mon Nov 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-4mdk
- Fix compile with xft2

* Sun Nov 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-3mdk
- Fix compile under MDK9.0-8.2

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-2mdk
- Add patch9 : Fix qwidget bug : "It fixes child windows being hidden randomly."

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- final

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-0.beta2.4mdk
- Add patch8 : fix compile with xft2

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-0.beta2.3mdk
- Update code from qt-copy for kde3.1-rc2

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-0.beta2.2mdk
- Fix moc location

* Fri Sep 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-7mdk
- Fix patch7 : patch from Pablo

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-6mdk
- Add patch7 : fix euro (patch from Pablo)

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-5mdk
- Fix icon (menu)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0.5-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-3mdk
- Add patch6 : Add pablo patch fix Latvian language

* Thu Jul 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-2mdk
- Change mandrake_release (8.3 -> 9.0 )
- lib64 fixes (fixes from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> )
- Remove BuildRequires: XFree86-static-devel for 9.0 (fixes from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-1mdk
- 3.0.5
- Add patch4 : fix PyQt compile
- Add patch5 : fix qt3.0.5 compile

* Sun Jul 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Add *.so (missing )

* Sat Jul 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Fix conflict

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-3mdk
- Rebuild with gcc-3.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- Rebuild against gcc-3.1

* Sat May 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- qt-3.0.4

* Thu Apr 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Rebuild against new kdelibs

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch3 fix crash in ksplash
- Fix spec file

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Fix buildrequires for 8.1

* Wed Mar 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- qt3-3.0.3

* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Use official qt3-3.0.2

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- Used qt-rsync

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-6mdk
- Fix bad /usr/lib/qt3/mkspecs/default link - Thanks to Alexander Skwar

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-5mdk
- Rebuild to replace lost src.rpm

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-4mdk
- Fix menu entries (png icons)

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-3mdk
- Fix /usr/lib/qt3/doc/html link

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-2mdk
- Allow Qt2 and Qt3 to be installed in same time (see CVS for details)
- Remove support for 7.2

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- Change release number ( 3.0.1-0.1mdk -> 3.0.1-1mdk)

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.1mdk
- update code (3.0.1)

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.13mdk
- Use %version for lib name

* Mon Dec 03 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-0.12mdk
- Fix /etc/profile.d/qtdir3.csh - Thanks to Alexander Schmolck
- Fix PATH in /usr/share/doc/libqt3-devel-3.0.0/README.Mandrake_Linux - Thanks
  to Alexander Schmolck

* Fri Nov 23 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-0.11mdk
- Rewrite spec (there are a lot of modifications, see CVS for full informations)

* Thu Nov 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.10mdk
- Fix

* Wed Nov 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.9mdk
- Add new entry menu for (assistant, linguist programm)

* Tue Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.8mdk
- Fix doc

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.7mdk
- Use qt-copy

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.6mdk
- %update_menu %clean_menu 
- Add requires

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.5mdk
- Add man file
- Add missing file (images pluggins)

* Sun Nov 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.4mdk
- Add menu entry
- Some Clean

* Sat Nov 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.3mdk
- Some clean

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-0.2mdk
- change designer package name
- if (stable) provides in libqt3-devel

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-0.1mdk
- new

